Review outdated lisk dependencies #426

Closed
MaciejBaj opened this Issue Feb 8, 2017 · 1 comment

Comments

Projects
None yet
2 participants
@MaciejBaj
Member

MaciejBaj commented Feb 8, 2017

npm outdated
Package                 Current   Wanted  Latest  Location
async                     2.0.1    2.0.1   2.1.4  lisk
body-parser              1.15.2   1.15.2  1.16.0  lisk
buffer                    4.9.1    4.9.1   5.0.3  lisk
change-case               3.0.0    3.0.0   3.0.1  lisk
csv                       1.1.0    1.1.0   1.1.1  lisk
decompress-zip            0.3.0      git     git  lisk
ejs                       2.5.2    2.5.2   2.5.5  lisk
express                  4.14.0   4.14.0  4.14.1  lisk
express-rate-limit        2.5.0    2.5.0   2.6.0  lisk
grunt                     0.4.5    0.4.5   1.0.1  lisk
grunt-contrib-compress    1.3.0    1.3.0   1.4.1  lisk
grunt-contrib-jshint      1.0.0    1.0.0   1.1.0  lisk
jshint                    2.9.3    2.9.3   2.9.4  lisk
json-sql                  0.2.6      git     git  lisk
lisk-sandbox              1.0.5      git     git  lisk
lodash                   4.16.2   4.16.2  4.17.4  lisk
method-override           2.3.6    2.3.6   2.3.7  lisk
mocha                     3.1.0    3.1.0   3.2.0  lisk
moment                   2.15.1   2.15.1  2.17.1  lisk
npm                     2.15.10  2.15.10   4.1.2  lisk
pg-monitor               0.5.11   0.5.11   0.7.1  lisk
pg-promise                5.3.3    5.3.3   5.5.6  lisk
popsicle                  8.2.0    8.2.0   9.0.0  lisk
socket.io                 1.4.8    1.4.8   1.7.2  lisk
sodium                    1.2.3      git     git  lisk
strftime                  0.9.2    0.9.2  0.10.0  lisk
supertest                 2.0.0    2.0.0   3.0.0  lisk
validator                 5.7.0    5.7.0   6.2.1  lisk
z-schema                 3.18.0   3.18.0  3.18.2  lisk

@MaciejBaj MaciejBaj self-assigned this Feb 8, 2017

@MaciejBaj MaciejBaj added this to Backlog in Version 0.7.0 Feb 8, 2017

@MaciejBaj MaciejBaj moved this from Backlog to In Progress in Version 0.7.0 Feb 8, 2017

@karmacoma karmacoma added the chore label Feb 8, 2017

@MaciejBaj

This comment has been minimized.

Show comment
Hide comment
@MaciejBaj

MaciejBaj Feb 8, 2017

Member

Lisk forks/dependencies updates:

node-sodium: 1.2.3 -> 2.0.1 (updated)
decompress-zip: 0.3.0 (no updates)
ip: 1.1.4 (no updates)
json-sql: 0.2.6 -> 0.3.10 (not updated- too many changes)
lisk-sandbox: 1.0.5 (no updates)
Member

MaciejBaj commented Feb 8, 2017

Lisk forks/dependencies updates:

node-sodium: 1.2.3 -> 2.0.1 (updated)
decompress-zip: 0.3.0 (no updates)
ip: 1.1.4 (no updates)
json-sql: 0.2.6 -> 0.3.10 (not updated- too many changes)
lisk-sandbox: 1.0.5 (no updates)

@MaciejBaj MaciejBaj moved this from In Progress to Pending Review in Version 0.7.0 Feb 16, 2017

@karmacoma karmacoma added this to the Version 0.7.0 milestone Feb 22, 2017

@karmacoma karmacoma added the *easy label Feb 22, 2017

@karmacoma karmacoma closed this in #428 Feb 23, 2017

karmacoma added a commit that referenced this issue Feb 23, 2017

Merge pull request #428 from MaciejBaj/426-update-deps
Update project dependencies to latest versions - Closes #426

@karmacoma karmacoma removed this from Pending Review in Version 0.7.0 Feb 23, 2017

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment